ViterbiTCH_AFS5_9::candStruct Struct Reference

`#include <AmrCoder.h>`

## Public Attributes

uint32_t | iState
| encoder input associated with this candidate
uint32_t | oState
| encoder output associated with this candidate
char | rState [mIRate]
| real states of encoders associated with this candidate
float | cost
| cost (metric value), float to support soft inputs

## Detailed Description

A candidate sequence in a Viterbi decoder. The 32-bit state register can support a deferral of 5*order with a 6th-order coder.

## Member Data Documentation

## cost

float ViterbiTCH_AFS5_9::candStruct::cost

cost (metric value), float to support soft inputs

Referenced by ViterbiTCH_AFS5_9::vitClear().

## iState

uint32_t ViterbiTCH_AFS5_9::candStruct::iState

encoder input associated with this candidate

Referenced by ViterbiTCH_AFS5_9::vitClear().

## oState

uint32_t ViterbiTCH_AFS5_9::candStruct::oState

encoder output associated with this candidate

Referenced by ViterbiTCH_AFS5_9::vitClear().

## rState

char ViterbiTCH_AFS5_9::candStruct::rState[mIRate]

real states of encoders associated with this candidate

Referenced by ViterbiTCH_AFS5_9::vitClear().

The documentation for this struct was generated from the following file:

- AmrCoder.h